<html>
<head>

<?php require("/web/monda/main/log/log.php"); ?>

<script language="javascript">

function invalidnumbers()
{
    if (isNaN(document.form.year.value) ||
        isNaN(document.form.month.value) ||
	isNaN(document.form.day.value)) {
	return true;
    } else {
	return false;
    }
}

function monthdays(year, month)
{
    var monthlengths = Array(31, 0, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);
    
    if (month == 2) {
	if (year % 4) {
	    return 29;
	} else {
	    return 28;
	}
    } else {
	return monthlengths[month-1];
    }
}

function leadingzero(number)
{
    var string = "";
    
    if (number < 10) {
	string += "0";
    }

    string += parseInt(number, 10);
    return string;
}

function refresh_content()
{
    var year = document.form.year.value;
    var month = document.form.month.value;
    var day = document.form.day.value;
    top.content.location = "view.php?date="+year+"-"+month+"-"+day;
}

function next_day()
{
    var year = document.form.year.value;
    var month = document.form.month.value;
    var day = document.form.day.value;

    if (invalidnumbers()) {
	return;
    }

    day++;
    
    if (day > monthdays(year, month)) {
	month++;
	day = 1;
    }

    if (month > 12) {
	year++;
	month = 1;
    }

    document.form.year.value = year;
    document.form.month.value = leadingzero(month);
    document.form.day.value = leadingzero(day);

    refresh_content();
}

function previous_day()
{
    var year = document.form.year.value;
    var month = document.form.month.value;
    var day = document.form.day.value;

    if (invalidnumbers()) {
	return;
    }

    day--;
    
    if (day < 1) {
	month--;
	day = monthdays(year, month);
    }

    if (month < 1) {
	year--;
	month = 12;
	day = 31;
    }

    document.form.year.value = year;
    document.form.month.value = leadingzero(month);
    document.form.day.value = leadingzero(day);

    refresh_content();
}

function today()
{
    var today = new Date();
    document.form.year.value = today.getFullYear();
    document.form.month.value = leadingzero(today.getMonth() + 1);
    document.form.day.value = leadingzero(today.getDate());
    refresh_content();
}

</script>
</head>
<body onload="refresh_content()">
<form name="form">
<div style="float:left;">
Look up date:
year <input type="text" name="year" size="4" maxlength="4" value="<?php echo date("Y") ?>">,
month <input type="text" name="month" size="2" maxlength="2" value="<?php echo date("m") ?>">,
day <input type="text" name="day" size="2" maxlength="2" value="<?php echo date("d") ?>">
<input type="button" value="Look Up!">
<b>|</b>
<input type="button" value="Previous Day" onclick="previous_day()">
<input type="button" value="Next Day" onclick="next_day()">
<input type="button" value="Today" onclick="today()">
</div>
<div style="float:right;">
<b>Planet GNOME Archives</b> is brought to you by <a href="http://laci.monda.hu">L&aacute;szl&oacute; Monda</a>.
</div>
</form>
</body>
</html>
